<?php
    if ( !defined('K_ADMIN') ) die(); // cannot be loaded directly

    class MyConfigAdmin{

        // action
        function greeting(){
            global $FUNCS, $CTX;

            $this->_set_title( 'Greetings' );
            $html = $this->_embed( 'greeting.html' );

            return $html;
        }

        // action
        function dashboard(){
            global $FUNCS, $CTX;

            $this->_set_title( 'Dashboard' );
            $html = $this->_embed( 'dashboard.html' );

            return $html;
        }

        function _set_title( $text ){
            global $FUNCS;

            $FUNCS->set_admin_title( $text, ''/*$link*/, ''/*$icon*/ );
            $FUNCS->set_admin_subtitle( 'Edit', 'file' /*icon*/ );
        }

        function _embed( $snippet ){
            $filepath = K_ADDONS_DIR.'config/theme/' . ltrim( trim($snippet), '/\\' );
            $html = @file_get_contents( $filepath );
            if( $html===FALSE ) return;

            $parser = new KParser( $html );
            return $parser->get_HTML();
        }
    } // end class
